Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
constdefs.h File Reference

Go to the source code of this file.

## Macros
#define | INTEGER2NUM(n)

## Macro Definition Documentation

## ◆ INTEGER2NUM

#define INTEGER2NUM | ( |  | n | ) |

Value:
(FIXNUM_MAX < (n) ? ULONG2NUM(n) : \
FIXNUM_MIN > (long)(n) ? LONG2NUM(n) : \
LONG2FIX(n))

Definition at line 932 of file constdefs.h.

LONG2NUM
#define LONG2NUM(x)
Definition: ruby.h:1644
ULONG2NUM
#define ULONG2NUM(x)
Definition: ruby.h:1645
long
#define long
Definition: rb_mjit_min_header-2.7.0.h:2880
n
const char size_t n
Definition: rb_mjit_min_header-2.7.0.h:5456
FIXNUM_MIN
#define FIXNUM_MIN
Definition: ruby.h:260
FIXNUM_MAX
#define FIXNUM_MAX
Definition: ruby.h:259
LONG2FIX
#define LONG2FIX(i)
Definition: ruby.h:265